=== debian/changelog ===
grandorgue (3.14.2-2) unstable; urgency=medium

  * Upload to unstable, for rtaudio 6 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 21 Jun 2024 11:36:15 +0200

grandorgue (3.14.2-1) experimental; urgency=medium

  * New upstream version 3.14.2

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 03 May 2024 11:17:52 +0200
