=== src/grandorgue/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,10 @@
 combinations/model/GOGeneralCombination.cpp
 combinations/GODivisionalSetter.cpp
 combinations/GOSetter.cpp
+config/GOAudioDeviceConfig.cpp
+config/GOAudioDeviceNode.cpp
 config/GOConfig.cpp
+config/GODeviceNamePattern.cpp
 config/GOMidiDeviceConfig.cpp
 config/GOMidiDeviceConfigList.cpp
 config/GOPortsConfig.cpp
@@ -76,10 +79,10 @@
 dialogs/midi-event/GOMidiEventRecvTab.cpp
 dialogs/midi-event/GOMidiEventSendTab.cpp
 dialogs/settings/GOSettingsAudio.cpp
+dialogs/settings/GOSettingsDeviceMatchDialog.cpp
 dialogs/settings/GOSettingsDialog.cpp
 dialogs/settings/GOSettingsMidiDeviceList.cpp
 dialogs/settings/GOSettingsMidiDevices.cpp
-dialogs/settings/GOSettingsMidiMatchDialog.cpp
 dialogs/settings/GOSettingsMidiMessage.cpp
 dialogs/settings/GOSettingsPaths.cpp
 dialogs/settings/GOSettingsPorts.cpp
@@ -93,6 +96,7 @@
 dialogs/GOProgressDialog.cpp
 dialogs/GOSelectOrganDialog.cpp
 dialogs/GOSplash.cpp
+dialogs/GOStopsDialog.cpp
 document-base/GODocumentBase.cpp
 document-base/GOView.cpp
 gui/primitives/GOBitmap.cpp
@@ -179,16 +183,18 @@
 sound/ports/GOSoundPortFactory.cpp
 sound/ports/GOSoundPortaudioPort.cpp
 sound/ports/GOSoundRtPort.cpp
-sound/scheduler/GOSoundGroupWorkItem.cpp
-sound/scheduler/GOSoundOutputWorkItem.cpp
-sound/scheduler/GOSoundReleaseWorkItem.cpp
+sound/scheduler/GOSoundGroupTask.cpp
+sound/scheduler/GOSoundOutputTask.cpp
+sound/scheduler/GOSoundReleaseTask.cpp
 sound/scheduler/GOSoundScheduler.cpp
 sound/scheduler/GOSoundThread.cpp
-sound/scheduler/GOSoundTouchWorkItem.cpp
-sound/scheduler/GOSoundTremulantWorkItem.cpp
-sound/scheduler/GOSoundWindchestWorkItem.cpp
+sound/scheduler/GOSoundTouchTask.cpp
+sound/scheduler/GOSoundTremulantTask.cpp
+sound/scheduler/GOSoundWindchestTask.cpp
 sound/GOSoundAudioSection.cpp
+sound/GOSoundDevInfo.cpp
 sound/GOSoundEngine.cpp
+sound/GOSoundFader.cpp
 sound/GOSoundProvider.cpp
 sound/GOSoundProviderSynthedTrem.cpp
 sound/GOSoundProviderWave.cpp
@@ -200,7 +206,10 @@
 sound/GOSoundResample.cpp
 sound/GOSoundSamplerPool.cpp
 sound/GOSoundStateHandler.cpp
+sound/GOSoundStream.cpp
 sound/GOSound.cpp
+sound/GOSoundFilter.cpp
+sound/GOSoundToneBalanceFilter.cpp
 updater/GOUpdateChecker.cpp
 yaml/GOSaveableToYaml.cpp
 yaml/go-wx-yaml.cpp
