=== debian/changelog ===
grandorgue (3.15.0-1) unstable; urgency=medium

  * New upstream version 3.15.0

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 09 Aug 2024 11:13:51 +0200
