## grandorgue 3.15.1

=== debian/changelog ===
grandorgue (3.15.1-1) unstable; urgency=medium

  * New upstream version 3.15.1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Sep 2024 10:01:00 +0200
