## grandorgue 3.15.2

=== debian/changelog ===
grandorgue (3.15.2-1) unstable; urgency=medium

  * New upstream version 3.15.2

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 Oct 2024 18:55:11 +0200
