## grandorgue 3.15.3

=== src/grandorgue/CMakeLists.txt ===
--- 
+++ 
@@ -69,64 +69,72 @@
 control/GOEventDistributor.cpp
 control/GOLabelControl.cpp
 control/GOPistonControl.cpp
-dialogs/common/GODialogCloser.cpp
-dialogs/common/GODialogSizeSet.cpp
-dialogs/common/GODialogTab.cpp
-dialogs/common/GOSimpleDialog.cpp
-dialogs/common/GOTabbedDialog.cpp
-dialogs/midi-event/GOMidiEventDialog.cpp
-dialogs/midi-event/GOMidiEventKeyTab.cpp
-dialogs/midi-event/GOMidiEventRecvTab.cpp
-dialogs/midi-event/GOMidiEventSendTab.cpp
-dialogs/settings/GOSettingsAudio.cpp
-dialogs/settings/GOSettingsDeviceMatchDialog.cpp
-dialogs/settings/GOSettingsDialog.cpp
-dialogs/settings/GOSettingsMidiDeviceList.cpp
-dialogs/settings/GOSettingsMidiDevices.cpp
-dialogs/settings/GOSettingsMidiMessage.cpp
-dialogs/settings/GOSettingsPaths.cpp
-dialogs/settings/GOSettingsPorts.cpp
-dialogs/settings/GOSettingsOptions.cpp
-dialogs/settings/GOSettingsOrgans.cpp
-dialogs/settings/GOSettingsReverb.cpp
-dialogs/settings/GOSettingsTemperaments.cpp
-dialogs/GOMidiListDialog.cpp
-dialogs/GONewReleaseDialog.cpp
-dialogs/GOOrganSettingsDialog.cpp
-dialogs/GOProgressDialog.cpp
-dialogs/GOSelectOrganDialog.cpp
-dialogs/GOSplash.cpp
-dialogs/GOStopsDialog.cpp
 document-base/GODocumentBase.cpp
 document-base/GOView.cpp
-gui/primitives/GOBitmap.cpp
-gui/primitives/GODC.cpp
-gui/primitives/GOFont.cpp
-gui/primitives/go_gui_utils.cpp
-gui/GOGUIBankedGeneralsPanel.cpp
-gui/GOGUIButton.cpp
-gui/GOGUICrescendoPanel.cpp
-gui/GOGUIControl.cpp
-gui/GOGUICouplerPanel.cpp
-gui/GOGUIDisplayMetrics.cpp
-gui/GOGUIDivisionalsPanel.cpp
-gui/GOGUIEnclosure.cpp
-gui/GOGUIFloatingPanel.cpp
-gui/GOGUIHW1Background.cpp
-gui/GOGUIHW1DisplayMetrics.cpp
-gui/GOGUIImage.cpp
-gui/GOGUILayoutEngine.cpp
-gui/GOGUIPanelView.cpp
-gui/GOGUISetterDisplayMetrics.cpp
-gui/GOGUILabel.cpp
-gui/GOGUIManual.cpp
-gui/GOGUIManualBackground.cpp
-gui/GOGUIMasterPanel.cpp
-gui/GOGUIMetronomePanel.cpp
-gui/GOGUIPanel.cpp
-gui/GOGUIPanelWidget.cpp
-gui/GOGUIRecorderPanel.cpp
-gui/GOGUISequencerPanel.cpp
+gui/dialogs/common/GODialogCloser.cpp
+gui/dialogs/common/GODialogSizeSet.cpp
+gui/dialogs/common/GODialogTab.cpp
+gui/dialogs/common/GOSimpleDialog.cpp
+gui/dialogs/common/GOTabbedDialog.cpp
+gui/dialogs/midi-event/GOMidiEventDialog.cpp
+gui/dialogs/midi-event/GOMidiEventKeyTab.cpp
+gui/dialogs/midi-event/GOMidiEventRecvTab.cpp
+gui/dialogs/midi-event/GOMidiEventSendTab.cpp
+gui/dialogs/settings/GOSettingsAudio.cpp
+gui/dialogs/settings/GOSettingsDeviceMatchDialog.cpp
+gui/dialogs/settings/GOSettingsDialog.cpp
+gui/dialogs/settings/GOSettingsMidiDeviceList.cpp
+gui/dialogs/settings/GOSettingsMidiDevices.cpp
+gui/dialogs/settings/GOSettingsMidiMessage.cpp
+gui/dialogs/settings/GOSettingsPaths.cpp
+gui/dialogs/settings/GOSettingsPorts.cpp
+gui/dialogs/settings/GOSettingsOptions.cpp
+gui/dialogs/settings/GOSettingsOrgans.cpp
+gui/dialogs/settings/GOSettingsReverb.cpp
+gui/dialogs/settings/GOSettingsTemperaments.cpp
+gui/dialogs/GOMidiListDialog.cpp
+gui/dialogs/GONewReleaseDialog.cpp
+gui/dialogs/GOOrganSettingsDialog.cpp
+gui/dialogs/GOProgressDialog.cpp
+gui/dialogs/GOPropertiesDialog.cpp
+gui/dialogs/GOSelectOrganDialog.cpp
+gui/dialogs/GOSplash.cpp
+gui/frames/GOFrame.cpp
+gui/frames/GOLogWindow.cpp
+gui/frames/GOMainWindowData.cpp
+gui/frames/GOStopsWindow.cpp
+gui/panels/primitives/GOBitmap.cpp
+gui/panels/primitives/GODC.cpp
+gui/panels/primitives/GOFont.cpp
+gui/panels/GOGUIBankedGeneralsPanel.cpp
+gui/panels/GOGUIButton.cpp
+gui/panels/GOGUICrescendoPanel.cpp
+gui/panels/GOGUIControl.cpp
+gui/panels/GOGUICouplerPanel.cpp
+gui/panels/GOGUIDisplayMetrics.cpp
+gui/panels/GOGUIDivisionalsPanel.cpp
+gui/panels/GOGUIEnclosure.cpp
+gui/panels/GOGUIFloatingPanel.cpp
+gui/panels/GOGUIHW1Background.cpp
+gui/panels/GOGUIHW1DisplayMetrics.cpp
+gui/panels/GOGUIImage.cpp
+gui/panels/GOGUILayoutEngine.cpp
+gui/panels/GOGUIPanelView.cpp
+gui/panels/GOGUISetterDisplayMetrics.cpp
+gui/panels/GOGUILabel.cpp
+gui/panels/GOGUIManual.cpp
+gui/panels/GOGUIManualBackground.cpp
+gui/panels/GOGUIMasterPanel.cpp
+gui/panels/GOGUIMetronomePanel.cpp
+gui/panels/GOGUIPanel.cpp
+gui/panels/GOGUIPanelWidget.cpp
+gui/panels/GOGUIRecorderPanel.cpp
+gui/panels/GOGUISequencerPanel.cpp
+gui/size/GOSizeKeeper.cpp
+gui/wxcontrols/GOAudioGauge.cpp
+gui/wxcontrols/GOGrid.cpp
+gui/wxcontrols/GORightVisiblePicker.cpp
+gui/wxcontrols/go_gui_utils.cpp
 help/GOHelpController.cpp
 help/GOHelpRequestor.cpp
 loader/GOFileStore.cpp
@@ -171,13 +179,13 @@
 model/GOPipe.cpp
 model/GORank.cpp
 model/GOReferencePipe.cpp
+model/GOReferencingObject.cpp
 model/GOSoundingPipe.cpp
 model/GOStop.cpp
 model/GOSwitch.cpp
 model/GOTremulant.cpp
 model/GOWindchest.cpp
 modification/GOModificationProxy.cpp
-size/GOSizeKeeper.cpp
 sound/ports/GOSoundJackPort.cpp
 sound/ports/GOSoundPort.cpp
 sound/ports/GOSoundPortFactory.cpp
@@ -213,19 +221,12 @@
 updater/GOUpdateChecker.cpp
 yaml/GOSaveableToYaml.cpp
 yaml/go-wx-yaml.cpp
-wxcontrols/GOAudioGauge.cpp
-wxcontrols/GOGrid.cpp
-wxcontrols/GORightVisiblePicker.cpp
 GOAudioRecorder.cpp
 GOBitmapCache.cpp
 GOEvent.cpp
 GOLog.cpp
-GOLogWindow.cpp
 GOMetronome.cpp
-GOMainWindowData.cpp
 GOOrganController.cpp
-GOProperties.cpp
-GOFrame.cpp
 GODocument.cpp
 GOVirtualCouplerController.cpp
 )
