=== debian/changelog ===
grandorgue (3.15.3-1ubuntu1) plucky; urgency=medium

  * d/control: build with imagemagick 7

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 10 Dec 2024 18:16:34 +0000

grandorgue (3.15.3-1) unstable; urgency=medium

  * New upstream version 3.15.3

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Dec 2024 10:32:30 +0100
