=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: grandorgue
-Maintainer: Sébastien Villemot <sebastien@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sébastien Villemot <sebastien@debian.org>
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -15,7 +16,7 @@
                libzita-convolver-dev,
                libyaml-cpp-dev,
                libcurl4-openssl-dev,
-               imagemagick-6.q16,
+               imagemagick-7.q16,
                librsvg2-bin,
                gettext,
                xsltproc,
