## grandorgue 3.15.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,11 @@
   set(BUILD_VERSION "0.local")
 elseif(NOT BUILD_VERSION)
   set(BUILD_VERSION "0.0")
+endif()
+
+
+if (NOT DEFINED GO_BUILD_TESTING OR GO_BUILD_TESTING STREQUAL "")
+  set(GO_BUILD_TESTING ${BUILD_TESTING})
 endif()
 
 set(FULL_VERSION "${PROJECT_VERSION}-${BUILD_VERSION}")
@@ -211,6 +216,15 @@
 message(STATUS "  wxWidgets configuration     : ${wxWidgets_CONFIGURATION}")
 message(STATUS "============================================================================")
 
+
+if (GO_BUILD_TESTING)
+    # Add coverage configuration to include project files - Don't put extra libraries here under
+    set(CMAKE_CXX_FLAGS_DEBUG "-g --coverage")
+    message(STATUS "============================================================================")
+    message(STATUS " Coverage enabled")
+    message(STATUS "============================================================================")
+endif()
+
 add_subdirectory(src/build)
 add_subdirectory(src/images)
 add_subdirectory(src/core)
@@ -223,6 +237,15 @@
 add_subdirectory(perftests)
 add_subdirectory(resources)
 
+if (GO_BUILD_TESTING)
+  enable_testing()
+  add_subdirectory(src/tests)
+  
+  message(STATUS "============================================================================")
+  message(STATUS " Testing enabled")
+  message(STATUS "============================================================================")
+endif()
+
 
 # packaging
 
@@ -290,25 +313,3 @@
   add_custom_target(
     macOSApplication
     ALL
-    DEPENDS GrandOrgue GrandOrgueTool GrandOrguePerfTest resources # run after building these targets
-    COMMAND "${CMAKE_COMMAND}" -DAPP_DIR="${CMAKE_BINARY_DIR}" -P "${CMAKE_SOURCE_DIR}/cmake/SignMacOSApp.cmake"
-  )
-
-  set(CPACK_SYSTEM_NAME "macOS")
-  set(CPACK_GENERATOR DragNDrop)
-  set(CPACK_PRE_BUILD_SCRIPTS "${CMAKE_SOURCE_DIR}/cmake/SignMacOSApp.cmake")
-
-elseif (WIN32)
-
-  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
-    set(CPACK_STRIP_FILES OFF)
-  else()
-    set(CPACK_STRIP_FILES ON)
-  endif()
-
-  set (CPACK_SYSTEM_NAME "windows")
-  set (CPACK_GENERATOR ZIP NSIS)
-  SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "
-    WriteRegStr HKCR \\\".organ\\\" \\\"\\\" \\\"GrandOrgue.odf\\\"
-    WriteRegStr HKCR \\\".orgue\\\" \\\"\\\" \\\"GrandOrgue.package\\\"
-    WriteRegStr HKCR \\\"GrandOrgue.odf\\\" \\\"\\\" \\\"GrandOrgue organ definition file\\\"
