=== debian/changelog ===
grandorgue (3.15.4-2) unstable; urgency=medium

  * Add docbook-xml to Build-Depends (Closes: #1104834)
  * Bump S-V to 4.7.2

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 07 May 2025 11:56:49 +0200

grandorgue (3.15.4-1) unstable; urgency=medium

  * New upstream version 3.15.4

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Dec 2024 09:51:15 +0100

grandorgue (3.15.3-2) unstable; urgency=medium

  * Improve dependency constraints for building the icon.
    Restore Build-Depends on imagemagick, and add Build-Conflicts against
    graphicsmagick-imagemagick-compat (since the latter can be picked by the
    autobuilders, but fails at converting the SVG into an icon).
    (Closes: #1088875)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 18 Dec 2024 18:08:10 +0100
