=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: grandorgue
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sébastien Villemot <sebastien@debian.org>
+Maintainer: Sébastien Villemot <sebastien@debian.org>
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,14 +15,16 @@
                libzita-convolver-dev,
                libyaml-cpp-dev,
                libcurl4-openssl-dev,
-               imagemagick-7.q16,
+               imagemagick,
                librsvg2-bin,
                gettext,
                xsltproc,
+               docbook-xml,
                docbook-xsl,
                zip,
                po4a
-Standards-Version: 4.7.0
+Build-Conflicts: graphicsmagick-imagemagick-compat
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/grandorgue
 Vcs-Git: https://salsa.debian.org/debian/grandorgue.git
 Homepage: https://github.com/GrandOrgue/grandorgue
