## grandorgue 3.16.0

=== src/grandorgue/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright 2006 Milan Digital Audio LLC
-# Copyright 2009-2024 GrandOrgue contributors (see AUTHORS)
+# Copyright 2009-2025 GrandOrgue contributors (see AUTHORS)
 # License GPL-2.0 or later (https://www.gnu.org/licenses/old-licenses/gpl-2.0.html).
 
 include(${CMAKE_SOURCE_DIR}/cmake/AddLinkerOption.cmake)
@@ -52,11 +52,13 @@
 config/GOAudioDeviceConfig.cpp
 config/GOAudioDeviceNode.cpp
 config/GOConfig.cpp
+config/GOConfigMidiObject.cpp
 config/GODeviceNamePattern.cpp
 config/GOMidiDeviceConfig.cpp
 config/GOMidiDeviceConfigList.cpp
 config/GOPortsConfig.cpp
 config/GOPortFactory.cpp
+config/GORegisteredOrgan.cpp
 control/GOButtonControl.cpp
 control/GOCallbackButtonControl.cpp
 control/GOElementCreator.cpp
@@ -74,25 +76,29 @@
 gui/dialogs/midi-event/GOMidiEventKeyTab.cpp
 gui/dialogs/midi-event/GOMidiEventRecvTab.cpp
 gui/dialogs/midi-event/GOMidiEventSendTab.cpp
+gui/dialogs/organ-settings/GOOrganSettingsTab.cpp
+gui/dialogs/organ-settings/GOOrganSettingsDialog.cpp
+gui/dialogs/organ-settings/GOOrganSettingsEnclosuresTab.cpp
+gui/dialogs/organ-settings/GOOrganSettingsPipesTab.cpp
 gui/dialogs/settings/GOSettingsAudio.cpp
 gui/dialogs/settings/GOSettingsDeviceMatchDialog.cpp
 gui/dialogs/settings/GOSettingsDialog.cpp
 gui/dialogs/settings/GOSettingsMidiDeviceList.cpp
 gui/dialogs/settings/GOSettingsMidiDevices.cpp
-gui/dialogs/settings/GOSettingsMidiMessage.cpp
+gui/dialogs/settings/GOSettingsMidiInitial.cpp
 gui/dialogs/settings/GOSettingsPaths.cpp
 gui/dialogs/settings/GOSettingsPorts.cpp
 gui/dialogs/settings/GOSettingsOptions.cpp
 gui/dialogs/settings/GOSettingsOrgans.cpp
 gui/dialogs/settings/GOSettingsReverb.cpp
 gui/dialogs/settings/GOSettingsTemperaments.cpp
-gui/dialogs/GOMidiListDialog.cpp
+gui/dialogs/GOMidiObjectsDialog.cpp
 gui/dialogs/GONewReleaseDialog.cpp
-gui/dialogs/GOOrganSettingsDialog.cpp
 gui/dialogs/GOProgressDialog.cpp
 gui/dialogs/GOPropertiesDialog.cpp
 gui/dialogs/GOSelectOrganDialog.cpp
 gui/dialogs/GOSplash.cpp
+gui/dialogs/go-message-boxes.cpp
 gui/frames/GOFrame.cpp
 gui/frames/GOLogWindow.cpp
 gui/frames/GOMainWindowData.cpp
@@ -113,6 +119,7 @@
 gui/panels/GOGUIHW1DisplayMetrics.cpp
 gui/panels/GOGUIImage.cpp
 gui/panels/GOGUILayoutEngine.cpp
+gui/panels/GOGUIMidiControl.cpp
 gui/panels/GOGUIPanelView.cpp
 gui/panels/GOGUISetterDisplayMetrics.cpp
 gui/panels/GOGUILabel.cpp
@@ -138,7 +145,26 @@
 loader/cache/GOCache.cpp
 loader/cache/GOCacheCleaner.cpp
 loader/cache/GOCacheWriter.cpp
-midi/dialog-creator/GOMidiDialogCreatorProxy.cpp
+midi/dialog-creator/GOMidiConfigDispatcher.cpp
+midi/elements/GOMidiReceiver.cpp
+midi/elements/GOMidiShortcutReceiver.cpp
+midi/elements/GOMidiSendProxy.cpp
+midi/elements/GOMidiSender.cpp
+midi/events/GOMidiEvent.cpp
+midi/events/GOMidiEventPattern.cpp
+midi/events/GOMidiReceiverEventPattern.cpp
+midi/events/GOMidiSenderEventPattern.cpp
+midi/events/GOMidiShortcutPattern.cpp
+midi/events/GOMidiWXEvent.cpp
+midi/events/GORodgers.cpp
+midi/files/GOMidiFileReader.cpp
+midi/objects/GOMidiObject.cpp
+midi/objects/GOMidiObjectContext.cpp
+midi/objects/GOMidiObjectWithDivision.cpp
+midi/objects/GOMidiObjectWithShortcut.cpp
+midi/objects/GOMidiPlayingObject.cpp
+midi/objects/GOMidiReceivingSendingObject.cpp
+midi/objects/GOMidiSendingObject.cpp
 midi/ports/GOMidiInPort.cpp
 midi/ports/GOMidiOutPort.cpp
 midi/ports/GOMidiPort.cpp
@@ -147,17 +173,12 @@
 midi/ports/GOMidiRtInPort.cpp
 midi/ports/GOMidiRtOutPort.cpp
 midi/GOMidi.cpp
-midi/GOMidiConfigurator.cpp
 midi/GOMidiInputMerger.cpp
 midi/GOMidiListener.cpp
+midi/GOMidiMap.cpp
 midi/GOMidiOutputMerger.cpp
 midi/GOMidiPlayer.cpp
 midi/GOMidiPlayerContent.cpp
-midi/GOMidiSendProxy.cpp
-midi/GOMidiSender.cpp
-midi/GOMidiShortcutPattern.cpp
-midi/GOMidiShortcutReceiver.cpp
-midi/GOMidiReceiver.cpp
 midi/GOMidiRecorder.cpp
 model/pipe-config/GOPipeConfig.cpp
 model/pipe-config/GOPipeConfigNode.cpp
@@ -165,7 +186,7 @@
 model/GOCacheObject.cpp
 model/GOCoupler.cpp
 model/GODivisionalCoupler.cpp
-model/GODrawStop.cpp
+model/GODrawstop.cpp
 model/GOEnclosure.cpp
 model/GOEventHandlerList.cpp
 model/GOManual.cpp
@@ -214,14 +235,16 @@
 sound/GOSoundToneBalanceFilter.cpp
 updater/GOUpdateChecker.cpp
 yaml/GOSaveableToYaml.cpp
+yaml/GOYamlModel.cpp
 yaml/go-wx-yaml.cpp
 GOAudioRecorder.cpp
 GOBitmapCache.cpp
+GODocument.cpp
 GOEvent.cpp
+GOKeyConvert.cpp
 GOLog.cpp
 GOMetronome.cpp
 GOOrganController.cpp
-GODocument.cpp
 GOVirtualCouplerController.cpp
 )
 
@@ -232,6 +255,7 @@
 add_library(golib STATIC ${grandorgue_src})
 set(go_libs ${wxWidgets_LIBRARIES} ${YAML_CPP_LIBRARIES} ${RT_LIBRARIES} ${PORTAUDIO_LIBRARIES} ${FFTW_LIBRARIES} ${ZITACONVOLVER_LIBRARIES} CURL::libcurl)
 set(go_libdir ${wxWidgets_LIBRARY_DIRS} ${RT_LIBDIR} ${PORTAUDIO_LIBDIR} ${FFTW_LIBDIR})
+target_include_directories(golib PUBLIC ${YAML_CPP_INCLUDE_DIRS})
 target_link_libraries(golib GrandOrgueImages GrandOrgueCore ${go_libs})
 link_directories(${go_libdir})
