=== debian/changelog ===
grandorgue (3.16.0-1) unstable; urgency=medium

  * New upstream version 3.16.0
    + Fixes compilation against gcc-15 (Closes: #1096772)
  * d/copyright: reflect upstream changes
  * Drop “Rules-Requires-Root: no”, which is now the default

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Aug 2025 15:07:18 +0200
